de.dhbwstuttgart.core

## Interface AClassOrInterface

All Known Implementing Classes:
  BasicAssumptionClass, Class, FunNInterface, Interface

    public interface AClassOrInterface

Superklasse von Class und Interface. Beinhaltet gemeinsame Attribute der beiden Objekte.

Author:
  Juergen Schmiing

### Method Summary

All Methods Instance Methods Abstract Methods
`JavaClassName` `getName()`
`Menge<Type>` `getSuperInterfaces()`
`void` `setSuperInterfaces(Menge<Type> Menge)`

### Method Detail

#### getName

    JavaClassName getName()

#### getSuperInterfaces

    Menge<Type> getSuperInterfaces()

#### setSuperInterfaces

    void setSuperInterfaces(Menge<Type> Menge)